# lugins/osg/TexGenNode.cpp File Reference

`#include "osg/TexGenNode"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TexGenNode.cpp:

## Functions

bool | TexGenNode_readLocalData (Object &obj, Input &fr)
bool | TexGenNode_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_TexGenNodeProxy (new osg::TexGenNode,"TexGenNode","Object Node TexGenNode Group",&TexGenNode_readLocalData,&TexGenNode_writeLocalData)

## Function Documentation

bool TexGenNode_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TexGenNode_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TexGenNodeProxy(new osg::TexGenNode,"TexGenNode","Object Node TexGenNode Group",&TexGenNode_readLocalData,&TexGenNode_writeLocalData)